VelocityReport Plugin - Defect #1320

VelocityReportPlugin v3.5.53/54/55 error barcode on servoy 8.2.2/8.2.3
04/05/2018 11:44 AM - rosamaria colombara

Status: Rejected Start date: 04/05/2018
Priority: Normal Due date:

Assignee: rosamaria colombara % Done: 0%
Category: barcode Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

The Velocity Plugin v3.5.53/54/55 doesn't work after the upgrade to Servoy 8.2.2 and Servoy 8.2.3.
While the Velocity Plugin v3.5.53 works fine in Servoy 8.2.1.

This is the code:

var barcodeDefinition = {
data: _cod_art,
gray: true,
type: plugins.VelocityReport.BARCODE.CODE128,
height: 100,

moduleWidth: "0.18mm",
wideFactor: 3,
format: "png",
fontSize: 8,
forcedWidth: 255,
forcedHeight: 90,
id: "barcodel",
font: 'Arial',
placement: 'none',
resolution: plugins.VelocityReport.REPORT.RESOLUTION_HIGH

var barcod = plugins.VelocityReport.getBarcode (barcodeDefinition);

History

#1 - 04/26/2018 03:19 PM - Patrick Talbot

- File genbc.png added

- Status changed from New to Feedback

- Assignee changed from Patrick Talbot to rosamaria colombara

- Priority changed from High to Normal

Just tried in Servoy 8.2.3 with Velocity 3.5.55, with _cod_art = "Servoy Stuff" and it worked fine and produced the png attached. Perhaps you are
missing the Eastwood.war in your /application_server/server/webapps/ folder?

#2 - 02/28/2019 10:04 PM - Patrick Talbot
- Status changed from Feedback to Rejected

Files
Schermata_2018-04-05_alle_11.43.44.png 26.6 KB 04/05/2018 rosamaria colombara
genbc.png 967 Bytes 04/26/2018 Patrick Talbot
